Subject: Re: bug#63850: cp fails for files > 2 GB if copy offload is unsupported

From: Paul Eggert <[email-masked]>
Date: Mon, 5 Jun 2023 22:48:27 -0700

On 2023-06-05 22:26, Sam James wrote:
> It's just that linux-headers is
> a special case

Indeed it is. And apparently glibc avoids the copy_file_range bugs by 
never, ever using copy_file_range internally - which explains why glibc 
hasn't run into this backward compatibility issue. Presumably once glibc 
starts assuming kernel 5.3 or later, it can start using copy_file_range 
internally.

Anyway, thanks for explaining. I installed the patch I mentioned into 
Gnulib and have updated coreutils accordingly on Savannah master. Please 
give it a try.